import logging

from fastapi import FastAPI

from fastfood_two.common.logger import configure_logger

logger = logging.getLogger(__name__)
configure_logger(level=logging.INFO)


def init_dependencies(app: FastAPI) -> None:
    """Initialize FastAPI dependencies."""

    logger.info("Dependencies initialized")
